Bug 1806020 - [baremetal] NetworkManager does not always set hostname
Summary: [baremetal] NetworkManager does not always set hostname
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.z
Assignee: Brad P. Crochet
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On: 1806001 1806008
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-21 20:14 UTC by Brad P. Crochet
Modified: 2020-03-10 23:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1806008
Environment:
Last Closed: 2020-03-10 23:54:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1502 None closed [release-4.3] Bug 1806020: [baremetal] Set hostname when DHCP6_FQDN_FQDN is set 2020-03-03 10:33:50 UTC
Red Hat Product Errata RHBA-2020:0676 None None None 2020-03-10 23:54:18 UTC

Description Brad P. Crochet 2020-02-21 20:14:46 UTC
+++ This bug was initially created as a clone of Bug #1806008 +++

+++ This bug was initially created as a clone of Bug #1806001 +++

NetworkManager doesn't always set the hostname when DHCP6 is involved.
This sets the hostname when $DHCP6_FQDN_FQDN is populated and does not
equal localhost.localdomain. This is a workaround while we try to figure
out why NetworkManager is not setting the hostname as it should.

Comment 6 errata-xmlrpc 2020-03-10 23:54:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0676


Note You need to log in before you can comment on or make changes to this bug.